clear all; close all;
filenaam='LS-3-T5test2.ASC';

%inlezen Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

x=data(1:lengte,1);

dx=(x(2)-x(1));           % Bemonsteringsinterval [m]
%dx=0.1;
Fs=abs(0.1/dx);                   % SampleFrequency of inputsignal p [Hz]
Ffilter = 0.1000;                 % Kantelfrequentie van het FILTER in Hz  ~ -4.5db-punt

N1=31;
delay1=N1*dx/2;
idelay1=round(abs((10/dx)*delay1));
h1 = fdesign.lowpass('n,fc',N1,Ffilter,Fs);
Hm1 = design(h1,'window');

y_ruw(lengte+idelay1+1:lengte+2*idelay1)=data(lengte,4);
y_ruw(idelay1+1:lengte+idelay1)=data(1:lengte,4);
y_ruw(1:idelay1)=data(1,4);

y1=9.902*(y_ruw+0.000)+0.0; %   Kracht in newton

y2=y1;
%y2(1*idelay1+1:lengte+1*idelay1) = pchip(x,y1(1*idelay1+1:lengte+1*idelay1),x); 

%y1(1:100)=    0.00;
%y1(101:350)=  0.01;       % Ribbel met hoogte van 1 cm en breedte van 2.5 cm
%y1(351:600)=  0.00;
%y1(601:625)=  0.01;       % Ribbel met hoogte van 1 cm en breedte van 2.5 mm
%y1(626:1000)= 0.00;

%y3(1:100)=    0.00;
%y3(101:350)=  0.01;       % Ribbel met hoogte van 1 cm en breedte van 2.5 cm
%y3(351:600)=  0.00;
%y3(601:625)=  0.01;       % Ribbel met hoogte van 1 cm en breedte van 2.5 mm
%y3(626:1000)= 0.00;

y3=y2;

y4 = filter(Hm1,y3);         % PersistentMemory is false (default)
zf1 = Hm1.States;             % Final conditions

plot( x-x(1), 9.902*y_ruw(2*idelay1+1:lengte+2*idelay1)-0.0,'k'); hold on;
plot( x-x(1)-1.0*delay1, y4(2*idelay1+1:lengte+2*idelay1)-0.0,'r','LineWidth',1.5)

title('Test unit G-5-5');
xlabel('Time [ sec ]');
ylabel('Force [ N ]');
h = legend('Extractionforce',1);
%set(h,'Interpreter','none');
s1 = regexprep(filenaam, '.ASC', '_PLOT.png');
s2 = regexprep(s1, '.asc', '_PLOT.png');
hold off;
print('-dpng',s2);
%print;
